Package uk.ac.starlink.vo

## Class Ri1RegistryTableLoadDialog

- java.lang.Object
- - uk.ac.starlink.table.gui.AbstractTableLoadDialog
  - - uk.ac.starlink.vo.Ri1RegistryTableLoadDialog

-     public class Ri1RegistryTableLoadDialog
      extends uk.ac.starlink.table.gui.AbstractTableLoadDialog

  Table load dialogue implementation for performing a simple query on a registry. The user can choose which registry to use, and the text of the query (WHERE clause) to make, and a StarTable is returned which contains all the detail of the resources found.

  This is not very user-friendly or useful, and hence is somewhat deprecated. A TAP query on a Relational Registry service (RegTAP) is usually a better way to acquire registry information.

  Since:
    23 Dec 2004
  Author:
    Mark Taylor (Starlink)
  See Also:
    Registry Interface 1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String[]` | `defaultQueries_` | List of preset queries available by default.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Ri1RegistryTableLoadDialog​()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.awt.Component` | `createQueryComponent​()` |
    `uk.ac.starlink.table.gui.TableLoader` | `createTableLoader​()` |
    `java.lang.String` | `getDescription​()` |
    `java.lang.String` | `getName​()` |
    `boolean` | `isAvailable​()` |

    - ### Methods inherited from class uk.ac.starlink.table.gui.AbstractTableLoadDialog

      `asIOException, configure, createFormatSelector, getIcon, getMenus, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isComponentShowing, isReady, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultQueries_

          public static java.lang.String[] defaultQueries_

      List of preset queries available by default.

  - ### Constructor Detail

    - #### Ri1RegistryTableLoadDialog

          public Ri1RegistryTableLoadDialog​()

      Constructor.

  - ### Method Detail

    - #### createQueryComponent

          protected java.awt.Component createQueryComponent​()

      Specified by:
        `createQueryComponent` in class `uk.ac.starlink.table.gui.AbstractTableLoadDialog`

    - #### getName

          public java.lang.String getName​()

      Overrides:
        `getName` in class `uk.ac.starlink.table.gui.AbstractTableLoadDialog`

    - #### getDescription

          public java.lang.String getDescription​()

      Overrides:
        `getDescription` in class `uk.ac.starlink.table.gui.AbstractTableLoadDialog`

    - #### isAvailable

          public boolean isAvailable​()

      Overrides:
        `isAvailable` in class `uk.ac.starlink.table.gui.AbstractTableLoadDialog`

    - #### createTableLoader

          public uk.ac.starlink.table.gui.TableLoader createTableLoader​()

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.